Package org.zkoss.zhtml

## Class Select

- java.lang.Object
- - org.zkoss.zk.ui.AbstractComponent
  - - org.zkoss.zhtml.impl.AbstractTag
    - - org.zkoss.zhtml.Select

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Cloneable`, `Component`, `DynamicPropertied`, `RawId`, `Scope`, `ComponentCtrl`

      public class Select
      extends AbstractTag

  The SELECT tag.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zhtml.impl.AbstractTag

      `AbstractTag.ExtraCtrl`

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.AbstractComponent

      `AbstractComponent.Children, AbstractComponent.ForwardInfo, AbstractComponent.TargetInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.zhtml.impl.AbstractTag

      `_tagnm`

    - ### Fields inherited from interface org.zkoss.zk.ui.Component

      `APPLICATION_SCOPE, COMPONENT_SCOPE, DESKTOP_SCOPE, PAGE_SCOPE, REQUEST_SCOPE, SESSION_SCOPE, SPACE_SCOPE`

    - ### Fields inherited from interface org.zkoss.zk.ui.sys.ComponentCtrl

      `AFTER_CHILD_ADDED, AFTER_CHILD_REMOVED, AFTER_CLONED, AFTER_PAGE_ATTACHED, AFTER_PAGE_DETACHED, AFTER_PARENT_CHANGED, CE_BUSY_IGNORE, CE_DUPLICATE_IGNORE, CE_IMPORTANT, CE_NON_DEFERRABLE, CE_REPEAT_IGNORE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Select()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getForm()` | Returns the form of this tag.
    `java.lang.String` | `getName()` | Returns the name of this select tag.
    `java.lang.Integer` | `getSize()` | Returns the size of this select tag.
    `java.lang.String` | `getWidgetClass()` | Returns the widget class, "zhtml.Input".
    `boolean` | `isAutofocus()` | Returns the autofocus of this select tag.
    `boolean` | `isDisabled()` | Returns the disabled of this select tag.
    `boolean` | `isMultiple()` | Returns the multiple of this select tag.
    `boolean` | `isRequired()` | Returns the required of this select tag.
    `void` | `setAutofocus​(boolean autofocus)` | Sets the autofocus of this select tag.
    `void` | `setDisabled​(boolean disabled)` | Sets the disabled of this select tag.
    `void` | `setForm​(java.lang.String form)` | Sets the form of this tag.
    `void` | `setMultiple​(boolean multiple)` | Sets the multiple of this select tag
    `void` | `setName​(java.lang.String name)` | Sets the name of this select tag.
    `void` | `setRequired​(boolean required)` | Sets the required of this select tag
    `void` | `setSize​(java.lang.Integer size)` | Sets the size of this select tag.

    - ### Methods inherited from class org.zkoss.zhtml.impl.AbstractTag

      `clone, getAccesskey, getDir, getDynamicProperties, getDynamicProperty, getExtraCtrl, getLang, getPropertyAccess, getSclass, getStyle, getTabindex, getTag, getTitle, hasDynamicProperty, isChildable, isContenteditable, isDraggable, isHidden, isOrphanTag, isSpellcheck, redraw, redrawChildrenDirectly, renderProperties, setAccesskey, setContenteditable, setDir, setDraggable, setDynamicProperty, setHidden, setLang, setSclass, setSpellcheck, setStyle, setTabindex, setTitle, setVisible, shallHideId, toString`

    - ### Methods inherited from class org.zkoss.zk.ui.AbstractComponent

      `addAnnotation, addCallback, addClientEvent, addEventHandler, addEventListener, addEventListener, addForward, addForward, addForward, addForward, addMoved, addRedrawCallback, addScopeListener, addShadowRoot, addShadowRootBefore, addSharedEventHandlerMap, appendChild, applyProperties, beforeChildAdded, beforeChildRemoved, beforeParentChanged, destroyIndexCacheMap, detach, didActivate, didActivate, didDeserialize, didDeserialize, disableBindingAnnotation, disableClientUpdate, disableHostChanged, enableBindingAnnotation, enableHostChanged, getAnnotatedProperties, getAnnotatedPropertiesBy, getAnnotation, getAnnotations, getAnnotations, getAttribute, getAttribute, getAttribute, getAttributeOrFellow, getAttributes, getAttributes, getAuService, getAutag, getCallback, getChildren, getClientAttribute, getClientDataAttribute, getClientEvents, getDefaultMold, getDefinition, getDesktop, getEventHandler, getEventHandlerNames, getEventListenerMap, getEventListeners, getFellow, getFellow, getFellowIfAny, getFellowIfAny, getFellows, getFirstChild, getForwards, getId, getIndexCacheMap, getLastChild, getMold, getNextSibling, getPage, getParent, getPreviousSibling, getRedrawCallback, getRoot, getShadowFellowIfAny, getShadowRoots, getShadowVariable, getShadowVariable, getShadowVariable0, getSpaceOwner, getSpecialRendererOutput, getStubonly, getSubBindingAnnotationCount, getTemplate, getTemplateNames, getUuid, getWidgetAttributeNames, getWidgetListener, getWidgetListenerNames, getWidgetOverride, getWidgetOverrideNames, hasAttribute, hasAttribute, hasAttribute, hasAttributeOrFellow, hasBindingAnnotation, hasFellow, hasFellow, hasSubBindingAnnotation, initIndexCacheMap, insertBefore, invalidate, isDisabledHostChanged, isInitialized, isInvalidated, isListenerAvailable, isVisible, onChildAdded, onChildRemoved, onPageAttached, onPageDetached, onParentChanged, onWrongValue, query, queryAll, redrawChildren, removeAttribute, removeAttribute, removeAttribute, removeCallback, removeChild, removeEventListener, removeForward, removeForward, removeRedrawCallback, removeScopeListener, removeShadowRoot, render, render, render, renderPropertiesOnly, replace, response, response, response, service, service, sessionDidActivate, sessionWillPassivate, setAttribute, setAttribute, setAttribute, setAuService, setAutag, setClientAttribute, setClientDataAttribute, setDefinition, setDefinition, setId, setMold, setPage, setPageBefore, setParent, setStubonly, setStubonly, setSubBindingAnnotationCount, setTemplate, setVisibleDirectly, setWidgetClass, setWidgetListener, setWidgetOverride, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdate, smartUpdateWidgetListener, smartUpdateWidgetOverride, updateByClient, updateSubBindingAnnotationCount, willPassivate, willPassivate, willSerialize, willSerialize`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Select

          public Select()

  - ### Method Detail

    - #### isAutofocus

          public boolean isAutofocus()

      Returns the autofocus of this select tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setAutofocus

          public void setAutofocus​(boolean autofocus)
                            throws WrongValueException

      Sets the autofocus of this select tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### isDisabled

          public boolean isDisabled()

      Returns the disabled of this select tag.
      Since:
        8.0.3

    - #### setDisabled

          public void setDisabled​(boolean disabled)
                           throws WrongValueException

      Sets the disabled of this select tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### isMultiple

          public boolean isMultiple()

      Returns the multiple of this select tag.
      Since:
        8.0.3

    - #### setMultiple

          public void setMultiple​(boolean multiple)
                           throws WrongValueException

      Sets the multiple of this select tag
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getName

          public java.lang.String getName()

      Returns the name of this select tag.
      Since:
        8.0.3

    - #### setName

          public void setName​(java.lang.String name)
                       throws WrongValueException

      Sets the name of this select tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### isRequired

          public boolean isRequired()

      Returns the required of this select tag.

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Since:
        8.0.3

    - #### setRequired

          public void setRequired​(boolean required)
                           throws WrongValueException

      Sets the required of this select tag

      Notice that this attribute refers to the corresponding attribute of the HTML5 specification. Hence, it would still be rendered to client-side as a DOM attribute even if the browser doesn’t support it.

      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getSize

          public java.lang.Integer getSize()

      Returns the size of this select tag.
      Since:
        8.0.3

    - #### setSize

          public void setSize​(java.lang.Integer size)
                       throws WrongValueException

      Sets the size of this select tag.
      Throws:
        `WrongValueException`
      Since:
        8.0.3

    - #### getForm

          public java.lang.String getForm()

      Returns the form of this tag.
      Since:
        10.0.0

    - #### setForm

          public void setForm​(java.lang.String form)
                       throws WrongValueException

      Sets the form of this tag.
      Throws:
        `WrongValueException`
      Since:
        10.0.0

    - #### getWidgetClass

          public java.lang.String getWidgetClass()

      Returns the widget class, "zhtml.Input".
      Specified by:
        `getWidgetClass` in interface `Component`
      Overrides:
        `getWidgetClass` in class `AbstractTag`
      Since:
        8.0.0
      See Also:
        `Component.setWidgetClass(java.lang.String)`